using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace Jovian.InspectorTools {
    public enum PlayModeVisibility {
        Always,
        EditMode,
        PlayMode
    }

    public static class PlayModeVisibilityExtensions {
        public static bool IsVisible(this PlayModeVisibility visibility) {
            switch(visibility) {
                case PlayModeVisibility.EditMode:
                    return Application.isPlaying == false;
                case PlayModeVisibility.PlayMode:
                    return Application.isPlaying;
                default:
                    return true;
            }
        }
    }
}